<div class="row"> <!-- w-400 = width: 40rem (400px), mw-full = max-width: 100% -->
    <div class="col-md-4 mx-auto">
    <div class="card p-0"> <!-- p-0 = padding: 0 -->
      <!-- Card header -->
      <div class="px-card py-10 border-bottom"> <!-- py-10 = padding-top: 1rem (10px) and padding-bottom: 1rem (10px), border-bottom: adds a border on the bottom -->
        <h2 class="card-title font-size-18 m-0 text-center"> <!-- font-size-18 = font-size: 1.8rem (18px), m-0 = margin: 0 -->
          PSCCASLM .:. Login Del Sistema
        </h2>
      </div>
      <!-- Content -->
      <div class="content">
        <form (submit)="login()">
          <div style="margin-bottom: 15px;">
            <img src="../../../assets/icon/utp.png" />
          </div>
          <div class="form-group input-group">
            <div class="input-group-prepend">
              <span class="input-group-text">
                <i class="fa fa-envelope" aria-hidden="true"></i>
              </span>
            </div>
            <input type="email" [(ngModel)]="user.email"  name="email" class="form-control" placeholder="Correo electronico" required="required">
          </div>
          <div class="form-group input-group">
            <div class="input-group-prepend">
              <span class="input-group-text">
                <i class="fa fa-lock" aria-hidden="true"></i>
              </span>
            </div>
            <input type="password" [(ngModel)]="user.password" name="password" class="form-control" placeholder="Contraseña" required="required">
          </div>
          <button class="btn btn-primary btn-block" type="submit">Ingresar</button>
        </form>
      </div>
      <!-- Card footer -->
      <div class="px-card py-10 bg-light-lm bg-very-dark-dm rounded-bottom"> <!-- py-10 = padding-top: 1rem (10px) and padding-bottom: 1rem (10px), bg-light-lm = background-color: var(--gray-color-light) only in light mode, bg-very-dark-dm = background-color: var(--dark-color-dark) only in dark mode, rounded-bottom = rounded corners on the bottom -->
        <p class="font-size-12 m-0"> <!-- font-size-12 = font-size: 1.2rem (12px), m-0 = margin: 0 -->
          Necesitas loguearte para poder ver el contenido.
        </p>
      </div>
      <ng-container *ngIf="signInError;">
        <div class="px-card py-10 bg-light-lm bg-very-dark-dm rounded-bottom invalid-feedback">
          Correo o Contraseña invalido
        </div>
      </ng-container>
    </div>
</div>
</div>
  
